Bug 1023668 - ne_sock_exit() and tls thread safety
ne_sock_exit() and tls thread safety
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: owncloud-csync (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 15:55 EDT by Fabrice Bellet
Modified: 2013-12-13 22:53 EST (History)
1 user (show)

See Also:
Fixed In Version: mirall-1.4.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:09:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
init the neon library one time only (1.33 KB, patch)
2013-10-26 15:55 EDT, Fabrice Bellet
no flags Details | Diff

  None (edit)
Description Fabrice Bellet 2013-10-26 15:55:57 EDT
Created attachment 816441 [details]
init the neon library one time only

mirall systematically crashes in ne_sock_exit(), when 1/ an owncloud folder is currently updated 2/ the owncloud server uses ssl 3/ and the settings window is open (with the info window displaying the sync protocol live).

According to http://www.webdav.org/neon/doc/html/refsockinit.html, it is unsafe to unload neon, when using gnutls, but it seems to me that it's what happens each time a call to owncloud_commit() is made.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffbb0fd700 (LWP 756)]
__GI___libc_free (mem=0x25) at malloc.c:2892
2892	  if (chunk_is_mmapped(p))                       /* release mmapped memory. */
(gdb) bt
#0  __GI___libc_free (mem=0x25) at malloc.c:2892
#1  0x00007fffd1dc0f0a in mp_clear_multi (a=a@entry=0x7fffac0caec0)
    at multi.c:38
#2  0x00007fffd1dc250a in ecc_del_point (p=0x7fffac0caec0) at ecc_points.c:62
#3  0x00007fffd1dc1b7a in _ecc_wmnaf_cache_entry_free (p=<optimized out>)
    at ecc_mulmod_cached.c:55
#4  ecc_wmnaf_cache_free () at ecc_mulmod_cached.c:70
#5  0x00007fffd1dc0805 in gnutls_crypto_deinit () at init.c:44
#6  0x00007fffd1d2c7e1 in gnutls_global_deinit () at gnutls_global.c:304
#7  0x00007fffd828c444 in owncloud_commit ()
    at /usr/src/debug/ocsync-0.90.2/modules/csync_owncloud.c:1752
#8  0x00007ffff329306c in csync_commit (ctx=0xb2c210)
    at /usr/src/debug/ocsync-0.90.2/src/csync.c:820
#9  0x00007ffff3500016 in Mirall::CSyncRunScopeHelper::~CSyncRunScopeHelper()
    () from /lib64/libowncloudsync.so.0
#10 0x00007ffff34ff98a in Mirall::CSyncThread::startSync() ()
   from /lib64/libowncloudsync.so.0
#11 0x00007ffff351d07c in Mirall::CSyncThread::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /lib64/libowncloudsync.so.0
Comment 1 Fedora Update System 2013-10-26 22:00:48 EDT
owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19
Comment 2 Fedora Update System 2013-10-26 22:01:47 EDT
owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18
Comment 3 Fedora Update System 2013-10-26 22:02:31 EDT
owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20
Comment 4 Fabrice Bellet 2013-10-27 09:07:54 EDT
This bug still concerns version 0.90.4
Comment 5 Joseph Marrero 2013-10-27 10:21:35 EDT
Updated the updates description to leave out this bugs. 

I am putting this info in a recent bug report.
Comment 6 Fedora Update System 2013-11-14 21:13:46 EST
mirall-1.4.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc19
Comment 7 Fedora Update System 2013-11-14 21:14:13 EST
mirall-1.4.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc18
Comment 8 Fedora Update System 2013-11-14 21:14:40 EST
mirall-1.4.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc20
Comment 9 Fedora Update System 2013-11-16 01:56:13 EST
Package mirall-1.4.2-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mirall-1.4.2-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21438/mirall-1.4.2-3.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-16 02:09:19 EST
mirall-1.4.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-01 04:33:56 EST
mirall-1.4.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-12-13 22:53:39 EST
mirall-1.4.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.